-- 用户配置启动页
return {
  'nvimdev/dashboard-nvim',
  event = 'VimEnter',
  config = function()
    -- keymap
    vim.keymap.set("n", "<leader>hh", ":Dashboard<CR>", {})
    vim.keymap.set("n", "<leader>u", ":Lazy update<CR>", {})
    require('dashboard').setup {
      -- config
      theme = 'doom',
      config = {
        header = { [[]], [[]], [[]], [[]], [[]], [[]], [[]], [[]],
          [[          ▀████▀▄▄              ▄█ ]],
          [[            █▀    ▀▀▄▄▄▄▄    ▄▄▀▀█ ]],
          [[    ▄        █          ▀▀▀▀▄  ▄▀  ]],
          [[   ▄▀ ▀▄      ▀▄              ▀▄▀  ]],
          [[  ▄▀    █     █▀   ▄█▀▄      ▄█    ]],
          [[  ▀▄     ▀▄  █     ▀██▀     ██▄█   ]],
          [[   ▀▄    ▄▀ █   ▄██▄   ▄  ▄  ▀▀ █  ]],
          [[    █  ▄▀  █    ▀██▀    ▀▀ ▀▀  ▄▀  ]],
          [[   █   █  █      ▄▄           ▄▀   ]], [[]], [[]], [[]], [[]], [[]], [[]], [[]], [[]] }, -- your header
        center = { {
          icon = " ",
          icon_hl = 'Title',
          desc = 'Find File           ',
          desc_hl = 'String',
          key = 'f',
          keymap = 'SPC f',
          key_hl = 'Number',
        }, {
          icon = ' ',
          desc = 'Find Word',
          key = 'k',
          keymap = 'SPC k',
        }, {
          icon = ' ',
          desc = 'Project',
          key = 'p',
          keymap = 'SPC p',
        }, {
          icon = '󰚰 ',
          desc = 'Plugins Update',
          key = 'u',
          name = "DsStore",
          keymap = 'SPC u',
        } },
        -- your footer
        footer = function()
          local stats = require("lazy").stats()
          local ms = (math.floor(stats.startuptime * 100 + 0.5) / 100)
          return { '🧑🏻sdaduanbilei', '🎉 Have fun with neovim 🎉', "🎉 Neovim loaded " ..
          stats.loaded .. "/" .. stats.count .. " plugins in " .. ms .. "ms" }
        end
      }
    }
  end,
  dependencies = { { 'nvim-tree/nvim-web-devicons' } },
}
