--  悬浮通知
return {
  "rcarriga/nvim-notify",
  keys = {
    {
      "<leader>un",
      function()
        require("notify").dismiss({ silent = true, pending = true })
      end,
      desc = "Dismiss all Notifications",
    },
  },
  opts = {
    timeout = 3000,
    max_height = function()
      return math.floor(vim.o.lines * 0.75)
    end,
    max_width = function()
      return math.floor(vim.o.columns * 0.75)
    end,
    on_open = function(win)
      vim.api.nvim_win_set_config(win, { zindex = 100 })
    end,
  },
  config = function()
    local async = require("plenary.async")
    local notify = require("notify").async
    local current_time = os.time()
    local date_format = "%Y-%m-%d"
    local current_time_str = os.date(date_format, current_time)
    async.run(function()
      -- 自定义 启动 notice
      notify("Hollo, 🧑🏻sdaduanbilei today is " .. current_time_str)
    end)
  end
}
